# generated by cabal-rpm-0.12.5
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name snap-core
%global pkgver %{pkg_name}-%{version}

%global readable readable-0.3.1
%global subpkgs %{readable}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        1.0.3.2
# can only be reset when all subpkgs bumped
Release:        8%{?dist}
Summary:        Snap web framework core library

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{readable}/%{readable}.tar.gz

Patch1:         snap-core-0.9.2.2-portable-flag.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
# Begin cabal-rpm deps:
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-io-streams-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-random-devel
#BuildRequires:  ghc-readable-devel
BuildRequires:  ghc-regex-posix-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-time-locale-compat-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-parallel-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
BuildRequires:  ghc-zlib-devel
%endif
# End cabal-rpm deps

%description
Snap is a simple and fast web development framework and server written
in Haskell.  This library contains the core definitions and types for
the Snap framework.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{readable}
%endif

%global version %{main_version}


%prep
%setup -q -n %{pkgver} -a1

%patch1 -p1 -b .orig
cabal-tweak-drop-dep bytestring-builder


%build
%ghc_libs_build %{subpkgs}
%ghc_lib_build


%install
%ghc_libs_install %{subpkgs}
%ghc_lib_install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc CONTRIBUTORS README.SNAP.md README.md


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 1.0.3.2-7
- update to 1.0.3.2

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 1.0.3.1-4
- update to 1.0.3.1

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 1.0.1.0-1
- update to 1.0.1.0
- subpackage readable

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb  9 2017 Jens Petersen <petersen@redhat.com> - 0.9.8.0-3
- build subpackage in main package dir

* Tue Sep 27 2016 Jens Petersen <petersen@redhat.com> - 0.9.8.0-2
- rebuild

* Thu Aug 25 2016 Jens Petersen <petersen@redhat.com> - 0.9.8.0-1
- update to 0.9.8.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 20 2015 Jens Petersen <petersen@redhat.com> - 0.9.6.4-1
- update to 0.9.6.4

* Mon Sep 01 2014 Jens Petersen <petersen@redhat.com> - 0.9.6.3-1
- update to 0.9.6.3
- refresh to clrpm-0.8.11

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 0.9.4.0-1
- update to 0.9.4.0
- update to new simplified Haskell Packaging Guidelines

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 0.9.3.1-1
- update to 0.9.3.1

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 29 2012 Jens Petersen <petersen@redhat.com> - 0.9.2.2-1
- update to 0.9.2.2
- compile in portable cross-platform mode until bytestring-mmap packaged

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.9.0-3
- change prof BRs to devel

* Fri Jun 22 2012 Jens Petersen <petersen@redhat.com> - 0.9.0-2
- rebuild

* Thu Jun 21 2012 Jens Petersen <petersen@redhat.com> - 0.9.0-1
- update to 0.9.0

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.8.1-2
- rebuild

* Tue May  1 2012 Jens Petersen <petersen@redhat.com> - 0.8.1-1
- update to 0.8.1

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.8.0.1-1
- update to 0.8.0.1
- mwc-random version patch no longer needed

* Thu Mar  8 2012 Jens Petersen <petersen@redhat.com> - 0.7.0.1-2
- rebuild

* Mon Jan 16 2012 Jens Petersen <petersen@redhat.com> - 0.7.0.1-1
- update to 0.7.0.1 and cabal2spec-0.25.2
- add some doc files
- allow building with mwc-random-0.11

* Fri Dec 16 2011 Jens Petersen <petersen@redhat.com> - 0.6.0.1-1
- update to 0.6.0.1
- new deps base16-bytestring, mwc-random, unordered-containers,
  regex-posix, and HUnit

* Tue Nov 22 2011 Jens Petersen <petersen@redhat.com> - 0.5.5-1
- update to 0.5.5
- depends on zlib-enum and blaze-builder-enumerator

* Tue Nov  8 2011 Jens Petersen <petersen@redhat.com> - 0.5.4-2
- add missed mtl dep

* Sat Oct 15 2011 Jens Petersen <petersen@redhat.com> - 0.5.4-1
- update to 0.5.4

* Thu Sep  8 2011 Jens Petersen <petersen@redhat.com> - 0.5.3.1-1
- BSD license and deps

* Thu Sep  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.3.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
